---
title: Spree 0.50.0
section: version
---

# Summary

Spree 0.50.0 represents a minor update to the 0.40.x release. Several
important bugs in the 0.40.x release have been addressed. There are no
crucial security fixes in this release but you are still encouraged to
upgrade as soon as convenient. By making these small upgrades as they
are released you will only need to focus on minor changes to each point
release instead of a series of important changes covering several
releases.

This is a another step forward towards the eventual 1.0.0 release. We're
still working on identifying all of the Spree extensions that run 0.50.x
but its a fairly safe bet that any extension running 0.40.x will work
with this release. Look for some major improvements to how extensions
are certified against Spree versions in the very near future.

INFO: We're always looking for more help with the Spree documentation.
If you'd like to offer assistance please contact us on the spree-user
mailing list and we can give you commit access to the
[spree-guides](https://github.com/spree/spree-guides) documentation
project.

# Database Migrations

There is only one minor database changes in the 0.50.0 release. You will
need to update your database migrations as follows:

```bash
$ bundle exec rake spree:install:migrations
$ bundle exec rake db:migrate```

!!!
Always be sure to perform a complete database backup before
performing any operations. It is also suggested that you examine the new
migrations closely before running them so you are aware of what changes
are being made to your database.
!!!

# Significant Improvements in Test Coverage

We have made drastic improvements to the level of test coverage. In
particular, there are tons of new Cucumber features that perform
automated testing in the browser for some of the most important
features. This doesn't impact store owners in any way, but better test
coverage means its safer to change the Spree code without breaking
things so its a step towards more stability.

***
See the Testing Guide for more details on testing in Spree.
***

# Replace search_logic gem with meta_search

We have also replaced the
[search_logic](https://github.com/binarylogic/searchlogic) gem with
[meta_search](https://github.com/ernie/meta_search). This is another
one of those behind the scenes changes that you're not likely to notice.
Our reason for making the switch was that search_logic is not supported
for Rails3 and it took us several days to get it working for Spree
0.30.x. We're not anxious to support it any longer and this is part of
our ongoing effort to get to stable a stable release of Spree that is
easier to support.

!!!
If you are using one of the search related extensions for Spree
you may experience compatibility issues. Please report any troubles you
have on the spree-user list and we'll see if we can help. Eventually
we'll revisit these extensions and verify their compatibility.
!!!